Posts tagged with Apple Aperture:

Perfect Photo Suite 8 – FAQ’s

To view the FAQ’s for Perfect Photo Suite 8, please click here

How to Install Aperture Presets

Drag the preset file you have downloaded onto the Aperture Icon, this should then import your presets which you will find under the Adjustments>Effects Pane.

apple

Apple Aperture 3.4 Compatibility

With Aperture 3.4, Apple has added a new level of security known as Sandboxing. This requires that plug-ins for use in Aperture 3.4 must also operate in the same manner. With the Perfect Photo Suite 7 and its individual product versions, onOne will support Aperture 3.4. These include:

  • Perfect Photo Suite 8.x
  • Perfect Photo Suite 7.x
  • Perfect Portrait 2.x
  • Perfect Layers 3.x
  • Perfect Effects 4.x
  • Perfect Mask 5.2.x
  • Perfect Resize 7.5.x (Standard and Pro)
  • FocalPoint 2.1.x
  • Perfect B&W 1.x

The following products will not be updated to work with Aperture 3.4 and higher. These versions do not comply with certain app sandbox requirements in Aperture 3.4 and later.

  • Perfect Photo Suite 6.x
  • Perfect Portrait 1.x
  • Perfect Layers 2.x
  • Perfect Effects 3.x
  • Perfect Mask 5.x
  • Perfect Resize 7.x (Standard and Pro)
  • FocalPoint 2.x
  • PhotoTools 2.6.x
  • PhotoFrame 4.6.x
  • PhotoTune 3.x

These tools will continue to work in earlier versions of Aperture and will continue to work in Photoshop, Photoshop Elements, Photoshop Lightroom or as stand alone products (where supported).

I am receiving a Critical Communication Error from Lightroom or Aperture after upgrading to Perfect Photo Suite 6.x

If you previously had Perfect Photo Suite 5 (Plug-in Suite 5) installed and have just installed Perfect Photo Suite 6.x, there is a chance you may see a Communication Error when trying to access the Perfect Photo Suite 6.x from Lightroom or Aperture. Please download the Perfect Photo Suite 6.1 update here. It is located under the Software Updates section on that page.

Note: This update will only work for the following operating systems.

  • Mac OS X 10.6
  • Mac OS X 10.7
  • Windows XP
  • Windows Vista
  • Windows 7

 

*Note if you are using a Proxy Server, try disabling this and see if you continue to get the error. If this works, you will need to set an exclusion for 127.0.0.1

Configuring Apple Aperture for use with onOne Software

In order for editable copies to be made correctly from Apple Aperture, you will need to configure your external editor file format. Please change the “External Editor File Format” to PSD format (in Aperture’s Export preferences). Also make sure to choose the onOne software product you have for the External Photo Editor.

The PhotoTools effects are not applying to the image in Aperture

If you are launching PhotoTools 2.6 Professional Edition out of Apple Aperture and the image is appearing back in the Aperture library unchanged, change the file type that is being exported from Aperture to a PSD.

Instructions:

Go to: Aperture>Preferences>Export: Set this to either a 8 or 16-bit PSD file

There is a file type naming conflict with Aperture’s TIFF files.

Photoshop and this plug-in works with a standard 3-letter extension (ie, PSD, JPG, TIF). Apple’s Aperture uses a four letter extension in the Aperture Library which prevents the file from being saved correctly.

Aperture 3.1 update and onOne Software Plug-ins

The Aperture 3.1 update renders our plug-ins unusable. We have released a fix for this issue. To download the updated installers, please choose your product from the links on the right hand side of the support page. Once you select the product scroll down to the Software Updates section.

NOTE: Please make sure to download the software update for the product you own. If the wrong update is downloaded, it will ask you to activate the software and the activation will not work. For example, if you own the Suite 5.1, do not download the individual product updates. Please download the Suite 5.1.2 update.

PhotoTools is crashing Apple Aperture when the product is launched

NOTE: This is for PhotoTools 2.0 ONLY, it will NOT work for version 2.5

To fix this issue, the following file will need to be downloaded. Please click here to download the file and follow the steps below.

  1. Please make sure to close Apple Aperture so that it is not running
  2. Go to the following location: Mac HDLibraryApplication SupportAperturePlug-Ins
  3. Move the PhotoTools 2.ApertureEdit file in this location to another location (desktop).
  4. The file downloaded from the link above will replace the file moved in the the previous step. Please unzip PhotoTools 2.ApertureEdit and place it into the Plug-Ins folder (Mac HDLibraryApplication SupportAperturePlug-Ins).
  5. Once you completed these steps, please start up Aperture and you will be able to launch and use PhotoTools

Do I need Photoshop installed if I want to just use PhotoTools 2.6 Professional Edition in Lightroom or Aperture?

Yes, PhotoTools uses supported versions of Adobe Photoshop (CS3, CS4 and CS5) as its processing engine. This is why a full version of Photoshop must be installed to use PhotoTools.